<mamecheat version="1">

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pb@1306=06</action>
    </script>
  </cheat>

  <cheat desc="Invincibility">
    <script state="run">
      <action>maincpu.pb@11F1=05</action>
    </script>
  </cheat>

  <cheat desc="Always have Shield">
    <script state="run">
      <action>maincpu.pb@0140=06</action>
      <action>maincpu.pb@014B=84</action>
      <action>maincpu.pb@0160=06</action>
      <action>maincpu.pb@0161=01</action>
      <action>maincpu.pb@016B=84</action>
      <action>maincpu.pb@0180=06</action>
      <action>maincpu.pb@0181=02</action>
      <action>maincpu.pb@018B=84</action>
      <action>maincpu.pb@01A0=06</action>
      <action>maincpu.pb@01A1=03</action>
      <action>maincpu.pb@01AB=84</action>
      <action>maincpu.pb@01C0=06</action>
      <action>maincpu.pb@01C1=04</action>
      <action>maincpu.pb@01CB=84</action>
      <action>maincpu.pb@01E0=06</action>
      <action>maincpu.pb@01E1=05</action>
      <action>maincpu.pb@01EB=84</action>
      <action>maincpu.pb@0200=06</action>
      <action>maincpu.pb@0201=06</action>
      <action>maincpu.pb@020B=84</action>
      <action>maincpu.pb@0220=06</action>
      <action>maincpu.pb@0221=07</action>
      <action>maincpu.pb@022B=84</action>
      <action>maincpu.pb@11E5=40</action>
    </script>
  </cheat>

  <cheat desc="Always have Balloon">
    <script state="run">
      <action>maincpu.pb@130E=01</action>
    </script>
  </cheat>

  <cheat desc="Always have Jump Shoes">
    <script state="run">
      <action>maincpu.pb@11E0=01</action>
    </script>
  </cheat>

  <cheat desc="Always Stop the Enemy">
    <script state="run">
      <action>maincpu.pb@11E1=02</action>
    </script>
  </cheat>

  <cheat desc="Always have 3-Way Shot">
    <script state="run">
      <action>maincpu.pb@11E2=02</action>
    </script>
  </cheat>

  <cheat desc="Always have Speed Up Shoes">
    <script state="run">
      <action>maincpu.pb@11E3=01</action>
    </script>
  </cheat>

  <cheat desc="Always have Penetration Shot">
    <script state="run">
      <action>maincpu.pb@11E4=02</action>
    </script>
  </cheat>

  <cheat desc="Finish this Round Now!">
    <script state="on">
      <action>maincpu.pb@1303=01</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@1301=06</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@1381=06</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
